#
# spec file for package python-peak-util-symbols
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-peak-util-symbols
Version:        1.0
Release:        4.4
Url:            http://peak.telecommunity.com/DevCenter/SymbolType
Summary:        Simple "symbol" type, useful for enumerations or sentinels
License:        Python-2.0 and ZPL-2.0
Group:          Development/Languages/Python
Source0:        SymbolType-%{version}.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-nose
BuildRequires:  python-setuptools
BuildRequires:  unzip
%if 0%{?suse_version}
%py_requires
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%endif
%endif
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%description
SymbolType gives you access to the peak.util.symbols module, previously
available only by installing the full PEAK toolkit. peak.util.symbols provides
a Symbol type and two built-in symbols that are used by PEAK: NOT_FOUND and
NOT_GIVEN.

%prep
%setup -q -n SymbolType-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root)
%doc README.txt
%{python_sitelib}/*

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Wed Sep 28 2011 saschpe@gmx.de
- BuildRequire python-distribute instead of python-setuptools
- Fixed RPM group to Development/Languages/Python
- Set license to 'Python-2.0 ; ZPL' (SPDX style)
